Page MenuHomePhabricator

Parse wikitext in MediaWiki:Lastmodifiedat
Closed, ResolvedPublic

Description

HTML is no longer rendered in MediaWiki:Lastmodifiedat after the last update (1.24wmf14). Some wikis use this message to add links to external utilities like stats.grok.se, see n:pl:MediaWiki:Lastmodifiedat.

Event Timeline

PeterBowman raised the priority of this task from to Needs Triage.
PeterBowman updated the task description. (Show Details)
PeterBowman added a subscriber: PeterBowman.
Aklapper triaged this task as Normal priority.Jan 14 2015, 5:51 PM
Aklapper added a project: Regression.
whym added a subscriber: whym.Jan 15 2015, 1:16 PM
whym added a comment.EditedJan 15 2015, 1:34 PM

https://ja.wikipedia.org/w/index.php?title=MediaWiki:Lastmodifiedat&oldid=23775446 was also affected. This customization was for informing the timezone (UTC) of the wiki and giving links to explain further.

Ugh, obviously I should have checked for this and give time to fix these. Nevertheless, we should migrate away from raw html. I think that if we allow using wikitext here, most if not all of the linked examples can be re-implemented.

Nemo_bis renamed this task from Allow HTML content in MediaWiki:Lastmodifiedat to Parse wikitext in MediaWiki:Lastmodifiedat.Jan 18 2015, 11:03 PM
Nemo_bis set Security to None.

I think it's good to avoid HTML in this message (shown on every single page) before its usage spreads further (similar to MediaWiki:Copyright which has become practically unfixable). Let's parse wikitext here and then inform (+ apologise to) all affected wikis.

@Jackmcbarn, I see you deleted the message on some of the affected wikis, do you know how many are left? I see about 120 which created this page, but most of them are old translations in need of deletion.

gerritbot added a subscriber: gerritbot.

Change 191333 had a related patch set uploaded (by Whym):
Passe "retrievedfrom" and "lastmodifiedat"

https://gerrit.wikimedia.org/r/191333

Patch-For-Review

Change 191333 merged by jenkins-bot:
Parse "retrievedfrom" and "lastmodifiedat"

https://gerrit.wikimedia.org/r/191333

Umherirrender closed this task as Resolved.Feb 18 2015, 6:48 PM
Umherirrender claimed this task.

Fix will be part of MediaWiki1.25wmf18, see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the timeline

@Jackmcbarn, I see you deleted the message on some of the affected wikis, do you know how many are left? I see about 120 which created this page, but most of them are old translations in need of deletion.

No idea.